DSRW_WRITE_PACKET(3)

FUNCTION
dsrw_write_packet - Write packet data in binary format.

SYNOPSIS
#include <karma_dsrw.h>

flag dsrw_write_packet

(Channel channel, CONST packet_desc *pack_desc, CONST char *packet)

DESCRIPTION
This routine will write the binary representation of a data packet to a channel object. The routine will recursively write sub arrays and linked lists of packets.

channel
    The channel object.

pack_desc
    The packet descriptor.

packet
    The packet data.

RETURN VALUE
TRUE on success, else FALSE.

Multi-threading Level
Unsafe.

AUTHOR
Richard Gooch (rgooch@atnf.csiro.au)

AVAILABLITY
The Karma Distribution is available for anonymous ftp from: ftp://ftp.atnf.csiro.au/pub/software/karma/ ftp://wuarchive.wustl.edu/graphics/graphics/packages/karma/ ftp://ftp.pwr.wroc.pl/pub/karma/ The Karma Home Page is: http://www.atnf.csiro.au/karma/